aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-27 20:50:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-27 20:56:22 +0000
commitc23cb6050e5ba6006174ab1e500fea658f12f5c6 (patch)
tree6446c72fccb72de9a2e6cbdab42a560ec54f29dd /main
parent577b1bf4366bd92e2fba4de8109db26bfba3f3b9 (diff)
downloadaports-c23cb6050e5ba6006174ab1e500fea658f12f5c6.tar.gz
aports-c23cb6050e5ba6006174ab1e500fea658f12f5c6.tar.bz2
aports-c23cb6050e5ba6006174ab1e500fea658f12f5c6.tar.xz
main/libcdio-paranoia: add patch to fix header location
Diffstat (limited to 'main')
-rw-r--r--main/libcdio-paranoia/APKBUILD23
-rw-r--r--main/libcdio-paranoia/header-fix.patch13
2 files changed, 28 insertions, 8 deletions
diff --git a/main/libcdio-paranoia/APKBUILD b/main/libcdio-paranoia/APKBUILD
index de4af770d1..d82446378d 100644
--- a/main/libcdio-paranoia/APKBUILD
+++ b/main/libcdio-paranoia/APKBUILD
@@ -1,18 +1,18 @@
-# Contributor:
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libcdio-paranoia
pkgver=0.90
-pkgrel=0
+pkgrel=1
pkgdesc="CD paranoia on top of libcdio"
url="http://www.gnu.org/software/libcdio/"
arch="all"
license="GPLv2+ and LGPLv2+"
depends=""
depends_dev="libcdio-dev"
-makedepends="$depends_dev libiconv-dev"
+makedepends="$depends_dev libiconv-dev autoconf automake libtool"
install=""
subpackages="$pkgname-dev $pkgname-doc"
-source="http://ftp.gnu.org/gnu/libcdio/libcdio-paranoia-10.2+$pkgver.tar.gz"
+source="http://ftp.gnu.org/gnu/libcdio/libcdio-paranoia-10.2+$pkgver.tar.gz
+ header-fix.patch"
_builddir="$srcdir"/libcdio-paranoia-10.2+$pkgver
prepare() {
@@ -23,6 +23,9 @@ prepare() {
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
+ sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADER/' configure.ac || return 1
+
+ autoreconf -i
}
build() {
@@ -32,6 +35,7 @@ build() {
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--localstatedir=/var \
+ --disable-static \
|| return 1
make || return 1
}
@@ -42,6 +46,9 @@ package() {
rm -f "$pkgdir"/usr/lib/*.la
}
-md5sums="7175764764c7fa22e1b802b9526c9411 libcdio-paranoia-10.2+0.90.tar.gz"
-sha256sums="562d6158b2690cbb98609f7f8b2b4198c22cc4e275aad33f95b8e83c630eb3b4 libcdio-paranoia-10.2+0.90.tar.gz"
-sha512sums="d8549d50b08cfd407672d49e43cc82525fb551a3f2ef1c6a4e3ac0c31ad209009249811d5a53172b59d1f858b7b0a3a929ef8e0a75322a27aaebdfb45d6e1531 libcdio-paranoia-10.2+0.90.tar.gz"
+md5sums="7175764764c7fa22e1b802b9526c9411 libcdio-paranoia-10.2+0.90.tar.gz
+5e70e747c5b0c7f14d65634d1ae565ff header-fix.patch"
+sha256sums="562d6158b2690cbb98609f7f8b2b4198c22cc4e275aad33f95b8e83c630eb3b4 libcdio-paranoia-10.2+0.90.tar.gz
+e66fc08bcb0ff068ef064182883d0fa51dbec93ab1e286e5f154a63bec3286f0 header-fix.patch"
+sha512sums="d8549d50b08cfd407672d49e43cc82525fb551a3f2ef1c6a4e3ac0c31ad209009249811d5a53172b59d1f858b7b0a3a929ef8e0a75322a27aaebdfb45d6e1531 libcdio-paranoia-10.2+0.90.tar.gz
+ef92528a36b5685927aaaf8ac6b096069bcd6866613ff006ac4057c9a79d4fdf3f4fcf79e78d7901148b1bbb60f4bca1438e1080838c553139e9bb314b6427d7 header-fix.patch"
diff --git a/main/libcdio-paranoia/header-fix.patch b/main/libcdio-paranoia/header-fix.patch
new file mode 100644
index 0000000000..91b572ed73
--- /dev/null
+++ b/main/libcdio-paranoia/header-fix.patch
@@ -0,0 +1,13 @@
+--- ./include/cdio/paranoia/Makefile.am.orig 2013-01-08 10:40:32.237218755 +0000
++++ ./include/cdio/paranoia/Makefile.am 2013-01-08 10:41:22.269997804 +0000
+@@ -3,8 +3,8 @@
+ ########################################################
+ #
+
+-libcdioincludedir=$(includedir)/cdio
+-dist_libcdioinclude_HEADERS = cdda.h paranoia.h
++cdio_paranoia_includedir=$(includedir)/cdio/paranoia
++dist_cdio_paranoia_include_HEADERS = cdda.h paranoia.h
+
+ EXTRA_DIST = version.h.in
+ BUILT_SOURCES = version.h